#pragma once

class MxWriteContext;
class DL_WriterA;

class MxWriteOpt
{
public:
	MxWriteOpt(void);
	virtual ~MxWriteOpt(void);

	bool Do(McDbDatabase* pDesDatabase,
		LPCTSTR pszFileName
		);

	LPCTSTR GetErrorInfo() const
	{
		return m_sError;
	};
protected:
	bool WriteVariables(MxWriteContext* pWriteContext,
		DL_WriterA* dw
		);
private:
	MxString       m_sError;
};
